Subject: Re: bug#7787: 23.2; wrong meaning for mouse-2 while in search mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 26 Apr 2022 11:46:31 +0200

Juri Linkov <[email-masked]> writes:

>> Technically, yes, but in any way that makes any user interface difference.
>>
>> Technically, yes, but not in any way that makes any user interface difference.
>
> Is this a Schrödinger's answer? ;-P

Tried to stop Emacs while it was sending the first version, but it
didn't work.  :-/

> Anyway, I see no reasonable way to explain why mouse-yank-at-point
> would affect what currently is documented as:
>
>   Clicking ‘mouse-2’ in the echo area appends the current X
>   selection to the search string (‘isearch-yank-x-selection’).

I don't understand why?

But since you're so dead set against this (for reasons I don't
understand), what about introducing a new user option like
`isearch-mouse-yank-append' or something?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no